// RecipeManagement.h: interface for the CRecipeManagement class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECIPEMANAGEMENT_H__71128501_C15F_11D7_899B_000629A6E157__INCLUDED_)
#define AFX_RECIPEMANAGEMENT_H__71128501_C15F_11D7_899B_000629A6E157__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

#include "GridTable.h"

class DLLCLASS CRecipeManagement
{
public:
    void GetRecipeName(CStringArray &pArray);

    void GetEditType(CUIntArray &pArray);
    void GetEditType(CDaoDatabase *pdb, int nCol, CUIntArray &pArray);
    int  GetEditType(CDaoDatabase *pdb, int nCol);

    void    GetFieldName(CStringArray &pArray);
    void    GetFieldName(CDaoDatabase *pdb, int nCol, CStringArray &pArray);
    CString GetFieldName(CDaoDatabase *pdb, int nCol);

    void    InitGridCtrlBox(CGridTable *gridTable, BOOL bEditable = FALSE, CString csSql = "");
    CString GetString(CDaoRecordset *prs, CString csField);
    int     GetFieldCount(CDaoDatabase *pdb);
    int     GetRecordCount(CDaoDatabase *pdb, CString csSql = "");

    CRecipeManagement();
    virtual ~CRecipeManagement();

private:
    void ClearArray(void);
    CStringArray m_aFieldName;
    CUIntArray   m_anEditType;
    CStringArray m_aRecipeName;
};

#endif // !defined(AFX_RECIPEMANAGEMENT_H__71128501_C15F_11D7_899B_000629A6E157__INCLUDED_)
